services:
  app.listener.entity.customer_update_request_listener:
    class: App\Listener\Entity\CustomerUpdateRequestListener
    tags:
      - { name: doctrine.orm.entity_listener, entity: App\Entity\User\CustomerUpdateRequest, event: preUpdate, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\User\CustomerUpdateRequest, event: postPersist, lazy: true }
    arguments:
      [ '@App\Service\CustomerUpdateRequestService' ]